CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Vocabulary Class Reference

controlled vocabulary More...

## Public Member Functions
| Vocabulary ($FileName)
| constructor
| Status ()
| return string indicate status of last action
| Hash ()
| return hash string for vocabulary (generated from file name)
| Name ()
| return vocabulary name
| Description ()
| return vocabulary description
| Url ()
| return URL attached to vocabulary
| Version ()
| return version number for vocabulary
| HasQualifier ()
| indicate whether vocabulary has associated qualifier
| QualifierName ()
| return qualifier name
| QualifierNamespace ()
| return qualifier namespace
| QualifierUrl ()
| return qualifier URL
| OwnerName ()
| Get name of owning (maintaining) organization.
| OwnerUrl ()
| Get primary URL for owning (maintaining) organization.
| TermArray ()
| retrieve vocabulary terms as multi-dimensional array
| TermList ()
| retrieve vocabulary terms as flat array with double-dash separators
| XmlVal ($ValueName)
| ExtractTermSet ($Tree)
| BuildTermList ($Prefix, $TermTree)

## Static Public Member Functions
static | HashForFile ($FileName=NULL)
| return hash string for specified vocabulary file name

## Public Attributes
| $FileName
| $StatusString
| $Xml

## Detailed Description

controlled vocabulary

Definition at line 22 of file Vocabulary.php.

## Member Function Documentation

Vocabulary::BuildTermList | ( |  | $Prefix,
|  |  | $TermTree
| ) |  |

Definition at line 196 of file Vocabulary.php.

Referenced by TermList().

Here is the caller graph for this function:

Vocabulary::Description | ( |  | ) |

return vocabulary description

Definition at line 76 of file Vocabulary.php.

References XmlVal().

Vocabulary::ExtractTermSet | ( |  | $Tree | ) |

Definition at line 178 of file Vocabulary.php.

Referenced by TermArray().

Here is the caller graph for this function:

Vocabulary::Hash | ( |  | ) |

return hash string for vocabulary (generated from file name)

Returns
  32-character hash string.

Definition at line 53 of file Vocabulary.php.

static Vocabulary::HashForFile | ( |  | $FileName = `NULL` | ) |
| static

return hash string for specified vocabulary file name

Parameters

  FileName | Name of .voc file containing vocabulary.

Returns
  32-character hash string.

Definition at line 63 of file Vocabulary.php.

References $FileName.

Referenced by VocabularyFactory\GetVocabularyByHash().

Here is the caller graph for this function:

Vocabulary::HasQualifier | ( |  | ) |

indicate whether vocabulary has associated qualifier

Definition at line 91 of file Vocabulary.php.

References QualifierName(), QualifierNamespace(), and QualifierUrl().

Vocabulary::Name | ( |  | ) |

return vocabulary name

Definition at line 71 of file Vocabulary.php.

References XmlVal().

Vocabulary::OwnerName | ( |  | ) |

Get name of owning (maintaining) organization.

Returns
  Name of owner or empty string if no owner name available.

Definition at line 129 of file Vocabulary.php.

Vocabulary::OwnerUrl | ( |  | ) |

Get primary URL for owning (maintaining) organization.

Returns
  URL for owner or empty string if no owner URL available.

Definition at line 139 of file Vocabulary.php.

Vocabulary::QualifierName | ( |  | ) |

return qualifier name

Definition at line 101 of file Vocabulary.php.

Referenced by HasQualifier().

Here is the caller graph for this function:

Vocabulary::QualifierNamespace | ( |  | ) |

return qualifier namespace

Definition at line 110 of file Vocabulary.php.

Referenced by HasQualifier().

Here is the caller graph for this function:

Vocabulary::QualifierUrl | ( |  | ) |

return qualifier URL

Definition at line 119 of file Vocabulary.php.

Referenced by HasQualifier().

Here is the caller graph for this function:

Vocabulary::Status | ( |  | ) |

return string indicate status of last action

Definition at line 47 of file Vocabulary.php.

References $StatusString.

Vocabulary::TermArray | ( |  | ) |

retrieve vocabulary terms as multi-dimensional array

Definition at line 148 of file Vocabulary.php.

References ExtractTermSet().

Referenced by TermList().

Here is the caller graph for this function:

Vocabulary::TermList | ( |  | ) |

retrieve vocabulary terms as flat array with double-dash separators

Definition at line 159 of file Vocabulary.php.

References BuildTermList(), and TermArray().

Vocabulary::Url | ( |  | ) |

return URL attached to vocabulary

Definition at line 81 of file Vocabulary.php.

References XmlVal().

Vocabulary::Version | ( |  | ) |

return version number for vocabulary

Definition at line 86 of file Vocabulary.php.

References XmlVal().

Vocabulary::Vocabulary | ( |  | $FileName | ) |

constructor

Parameters

  FileName | Name of .voc file containing vocabulary to load.

Note
  Check Status() to determine if constructor succeeded

Definition at line 31 of file Vocabulary.php.

References $FileName, and $Xml.

Vocabulary::XmlVal | ( |  | $ValueName | ) |

Definition at line 172 of file Vocabulary.php.

Referenced by Description(), Name(), Url(), and Version().

Here is the caller graph for this function:

## Member Data Documentation

Vocabulary::$FileName

Definition at line 168 of file Vocabulary.php.

Referenced by HashForFile(), and Vocabulary().

Vocabulary::$StatusString

Definition at line 169 of file Vocabulary.php.

Referenced by Status().

Vocabulary::$Xml

Definition at line 170 of file Vocabulary.php.

Referenced by Vocabulary().

The documentation for this class was generated from the following file:

- objects/Vocabulary.php